Get customer transactionsCopy Pageget https://sandcaas.undostres.com.mx/transactions/{customer_id}Retrieves a paginated list of transactions for a specific customer, with optional filtering by transaction type and date range. Results can be ordered by creation time, and pagination is handled using limit and offset parameters.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Path Paramscustomer_idint32requiredThe customer’s unique identifier.Query Paramslimitint32required≤ 100The number of entries to return. Must be <= 100.offsetint32Defaults to 0The entry number from which to start returning values. For example, if there are 10 entries in total and we want the last 4, then offset = 6. Defaults to 0.fromdate-timeUpon receipt of this parameter, one hour is subtracted from it. Only transactions made at or after the resulting timestamp will be returned. Omitting the time part is equivalent to sending the same date at 00:00:00. Omitting this parameter altogether lifts the described restriction on the transaction’s creation time. This field has this format: (in YYYY-MM-DD+hh:mm:ss format). For instance: "2025-10-14+13:24:13"todate-timeUpon receipt of this parameter, one hour is subtracted from it. Only transactions made at or before the resulting timestamp will be returned. Omitting the time part is equivalent to sending the same date at 00:00:00.descbooleanDefaults to falseWhether to order the results in descending order of creation time. Defaults to false.truetruefalsetransaction_idint32If present, returns only the corresponding transaction.only_installment_chargesbooleanDefaults to falseWhether to only return deferred purchase installment charges. Defaults to false.truefalseHeadersauthorization-ecommercestringrequiredOAuth token belonging to the e-commerceResponses 200Successful response. The general response's schema up to depth 1 and the error object are the same as other wallet endpoints. Example of success response JSON{ "text": "Success", "timestamp": "2025-10-08T14:09:11.992204431-06:00", "endpoint": "/wallet/v1/topUp", "error": {}, "payload": { "transactions": [ { "amount": "6000.00", "timestamp": "2025-10-22T09:57:45-06:00", "transactionType": 9, "status": 1, "transactionId": 1497999, "description": "\"CREDIT HISTORY DEDUCT\"", "merchantCategoryCode": { "mcc": "5531", "description": "Tiendas de suministros para automóviles", "categoryId": 7, "category": " Transporte", "subcategoryId": 9, "subcategory": " Generales" }, "captureMode": "", "MDESDigitizedWalletID": "", "isSettled": false, "category": 1 }, { "amount": "6000.00", "timestamp": "2025-10-22T09:57:17-06:00", "transactionType": 9, "status": 1, "transactionId": 1497998, "description": "\"CREDIT HISTORY DEDUCT\"", "merchantCategoryCode": { "mcc": "5531", "description": "Tiendas de suministros para automóviles", "categoryId": 7, "category": " Transporte", "subcategoryId": 9, "subcategory": " Generales" }, "captureMode": "", "MDESDigitizedWalletID": "", "isSettled": false, "category": 1 } ], "totalCount": 3 } } Example of error response JSON{ "timestamp": "2025-10-08T14:09:04.395321754-06:00", "endpoint": "/wallet/v1/topUp", "error": { "code": 5000, "text": "Validation Error", "hints": [ "Validations for the request failed, please check the parameters and try again", "Limit is too high, please check the documentation for maximum value of limit field" ] }, "payload": {} } 400Validation error 500Internal server errorUpdated 8 months ago Assign customers to customer programWebhook NotificationsDid this page help you?YesNo